Skip to main content
`Ctrl`+`K`

# LMEMonitorDefault

Print the error estimate of the current approximation at each iteration of the linear matrix equation solver.

## Synopsis

    #include "slepclme.h"
    PetscErrorCode LMEMonitorDefault(LME lme,PetscInt its,PetscReal errest,PetscViewerAndFormat *vf)

Collective

## Input Parameters

- lme - the linear matrix equation solver context

- its - iteration number

- errest - error estimate

- vf - viewer and format for monitoring

## Options Database Key

- -lme_monitor - activates `LMEMonitorDefault()`

## Note

This is not called directly by users, rather one calls `LMEMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `LME` solve.

## See Also

LME: Linear Matrix Equation, `LMEMonitorSet()`

## Level

intermediate

## Location

src/lme/interface/lmemon.c

Index of all LME routines Table of Contents for all manual pages Index of all manual pages